#ifndef SPTC_H
#define SPTC_H

#define E_BASE		200
#define E_SPTC_USAGE	E_BASE+1
#define E_SPTC_NOMEM	E_BASE+2
#define E_SPTC_EXEC	E_BASE+3
#define E_SPTC_GETPIPE	E_BASE+4
#define E_SPTC_DUP2	E_BASE+5
#define E_SPTC_TCTX	E_BASE+6
#define E_SPTC_VFYLOC	E_BASE+7
#define E_SPTC_SELECT	E_BASE+8
#define SPTC_CMD_EOF	E_BASE+9

#ifndef SSL_BASE
# define SSL_BASE	"/usr/local/ssl"
#endif

#define SPTC_CERT_DIR	SSL_BASE "/certs/"
#define SPTC_PID_FILE	"pid.sptc"

#define CPBUF_SIZE_MAX	1024
#define CMD_SIZE_MAX	1024
	/* timeout (seconds) for select in main control loop */
#define SELECT_TO	5
	/* inactivity timeout (seconds) */
#define INACTIVITY_TO	60	/* shutdown connection after 1 minute */


#define SPTC_FAC		LOG_DAEMON
#define SPTC_PRI		LOG_INFO

void qerr(char *msg);
void dbl_close(int *x, int *y);
void control(tunnel *t, int child, int cmd_in, int cmd_out);
int copy_tun2fd(tunnel *src, int dst);
int copy_fd2tun(int src, tunnel *dst);
int spawn_command(char *p, char **args, int in_fd, int out_fd);

	/* signal handlers */
void pipe_bus(int s, siginfo_t *si, void *bleh);
void catch_term(int s, siginfo_t *si, void *bleh);

int write_pid(char *pid_file, int pid);
void cleanup(void);
void usage(char *p);

#endif
