#ifndef STALE_H
#define STALE_H

#define DELAY		4
#define ERR_SIZE	1024
#define BB_SIZE		1024
#define TAG_MODE	1
#define	TAIL_MODE	2
#define STATUS_DIR	"./"
#define STATE_EXT	".stale"

	/* error codes */
#define E_BASE			100
#define E_CANNOT_SAVE_STATE	E_BASE+1
#define E_NO_MEMORY		E_BASE+2
#define E_STAT_FILE		E_BASE+3
#define E_OPEN_FILE		E_BASE+4
#define E_CHDIR			E_BASE+5
#define E_FSEEK			E_BASE+6
#define E_USAGE			E_BASE+7

	/* data structures */
struct lf {
	FILE *f;
	ino_t i;
	size_t s;
};

	/* prototypes */
void setup_signals(void);
void usage(char *p);
void clean_up(void);
void bail(int exit_code);
void sig_handler(int s, siginfo_t *si, void *bleh);

int restore(char *filename, struct lf *log);
int save(char *filename, struct lf *log);
int bf(FILE *f, char *tag);
char *compute_state_file_name(char *original_name);
void setup_signals();

#endif