#include <stdio.h>
#include <string.h>
#include <syslog.h>
#include <signal.h>

#define LINE_SIZE	1024

void cleanup(int s)
{
	closelog();
	exit(0);
}

	/* check facility masks for non-integers (prevent spraying to console) */
int check_fm(char *fm)
{
	int i;
	for (i = 0; i < strlen(fm); i++) {
		if (!isdigit(fm[i]))
			return 0;
	}
	return 1;
}

int main(int argc, char **argv)
{
	char line[LINE_SIZE];
	
	signal(SIGINT, cleanup);
	signal(SIGTERM, cleanup);

	openlog("", 0, LOG_SYSLOG|LOG_INFO);
	
	while (fgets(line, LINE_SIZE, stdin) != NULL) {
		char *s_pos;
		s_pos = strchr(line, ' ');
		if (s_pos) {
			int fm, last;
			
			*s_pos = 0;
			s_pos++;
			last = strlen(s_pos);
			if (s_pos[last - 1] == '\n')
				s_pos[last - 1] = 0;
				/* only log messages with numeric facilities */
			if (check_fm(line)) {
				fm = atoi(line);
				syslog(fm, "%s", s_pos);
			}
		}
	}
	
	cleanup(0);
}
