/*
	5/17/02
	syslate.c
 
	Translate syslog symbolic facility/priority pair to decimal value
 */

#include <stdio.h>
#include <syslog.h>
#include "syslog_lookup.h"

void usage(char *p)
{
	printf("usage: %s fac1 pri1 ... facN priN\n", p);
	exit(1);
}

int search_map(mapping *map, char *name)
{
	int i;
	for (i = 0; map[i].name != NULL; i++) {
		if (strcmp(name, map[i].name) == 0)
			return map[i].code;
	}
	return -1;
}


int main(int argc, char **argv)
{
	int i;
	if (argc < 3 || (argc - 1) % 2 != 0)
		usage(argv[0]);
	for (i = 1; i < argc; i += 2) {
		int fac, pri;
		
		if ((fac = search_map(fac_map, argv[i])) == -1) {
			fprintf(stderr, "unknown facility: %s\n", argv[i]);
			exit(1);
		}
		if ((pri = search_map(pri_map, argv[i+1])) == -1) {
			fprintf(stderr, "unknown priority: %s\n", argv[i+1]);
			exit(1);
		}
		printf("%d", fac|pri);
		if (i+2 < argc)
			putc(' ', stdout);
	}
	puts("");
	exit(0);
}
