#ifndef SYSLOG_LOOKUP_H
#define SYSLOG_LOOKUP_H

typedef struct _mapping {
	char *name;
	int code;
} mapping;

mapping fac_map[] = {
	#ifdef LOG_ALERT
	{ "alert", LOG_ALERT },
	#endif
	#ifdef LOG_AUTH	
	{ "auth", LOG_AUTH },
	#endif
	#ifdef LOG_AUTHPRIV	
	{ "authpriv", LOG_AUTHPRIV },
	#endif
	#ifdef LOG_CRON
	{ "cron", LOG_CRON },
	#endif
	#ifdef LOG_DAEMON		
	{ "daemon", LOG_DAEMON },
	#endif
	#ifdef LOG_FTP
	{ "ftp", LOG_FTP },
	#endif
	#ifdef LOG_KERN
	{ "kern", LOG_KERN },
	#endif
	#ifdef LOG_LPR	
	{ "lpr", LOG_LPR },
	#endif
	#ifdef LOG_MAIL
	{ "mail", LOG_MAIL },
	#endif
	#ifdef LOG_NEWS
	{ "news", LOG_NEWS },
	#endif
	#ifdef LOG_SYSLOG
	{ "syslog", LOG_SYSLOG },
	#endif
	#ifdef LOG_USER
	{ "user", LOG_USER },
	#endif
	#ifdef LOG_UUCP
	{ "uucp", LOG_UUCP },
	#endif
	#ifdef LOG_LOCAL0
	{ "local0", LOG_LOCAL0 },
	#endif
	#ifdef LOG_LOCAL1
	{ "local1", LOG_LOCAL1 },
	#endif
	#ifdef LOG_LOCAL2
	{ "local2", LOG_LOCAL2 },
	#endif
	#ifdef LOG_LOCAL3
	{ "local3", LOG_LOCAL3 },
	#endif
	#ifdef LOG_LOCAL4
	{ "local4", LOG_LOCAL4 },
	#endif
	#ifdef LOG_LOCAL5
	{ "local5", LOG_LOCAL5 },
	#endif
	#ifdef LOG_LOCAL6
	{ "local6", LOG_LOCAL6 },
	#endif
	#ifdef LOG_LOCAL7
	{ "local7", LOG_LOCAL7 },
	#endif
	{ NULL, -1 }
};

	/* symbolic priorities and their values */
mapping pri_map[] = {
	#ifdef LOG_ALERT
	{ "alert", LOG_ALERT },
	#endif
	#ifdef LOG_CRIT
	{ "crit", LOG_CRIT },
	#endif
	#ifdef LOG_DEBUG
	{ "debug", LOG_DEBUG },
	#endif
	#ifdef LOG_EMERG
	{ "emerg", LOG_EMERG },
	#endif
	#ifdef LOG_ERR
	{ "err", LOG_ERR },
	#endif
	#ifdef LOG_INFO
	{ "info", LOG_INFO },
	#endif
	#ifdef LOG_NOTICE
	{ "notice", LOG_NOTICE },
	#endif
	#ifdef LOG_WARNING
	{ "warning", LOG_WARNING },
	#endif
	{ NULL, -1 }
};

#endif